be.fgov.ehealth.aa.complextype.v1

## Class HealthCareOrganization

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.HealthCareOrganization

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:31:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class HealthCareOrganization
      extends Object
      implements Serializable

  Identifier(s), name(s) and address(es) of a healthcare organization.

  Java class for HealthCareOrganizationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HealthCareOrganizationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Id" type="{urn:be:fgov:ehealth:aa:complextype:v1}TypeCodeType" maxOccurs="unbounded"/>
               <element name="Name" type="{urn:be:fgov:ehealth:aa:complextype:v1}NameType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Address" type="{urn:be:fgov:ehealth:aa:complextype:v1}AddressType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HealthCareOrganization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Address>` | `getAddresses()` Gets the value of the addresses property.
    `List<TypeCodeType>` | `getIds()` Gets the value of the ids property.
    `List<NameType>` | `getNames()` Gets the value of the names property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HealthCareOrganization

          public HealthCareOrganization()

  - ### Method Detail

    - #### getIds

          public List<TypeCodeType> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `TypeCodeType`

    - #### getNames

          public List<NameType> getNames()

      Gets the value of the names property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the names property.

      For example, to add a new item, do as follows:

              getNames().add(newItem);

      Objects of the following type(s) are allowed in the list `NameType`

    - #### getAddresses

          public List<Address> getAddresses()

      Gets the value of the addresses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

      For example, to add a new item, do as follows:

              getAddresses().add(newItem);

      Objects of the following type(s) are allowed in the list `Address`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.